#include <stdio.h>
#include <stdlib.h>
#include <string.h>

char broj[3][20],temp[20];

int main()
{
    scanf("%s%s%s",&broj[0],&broj[1],&broj[2]);

    for(int i = 0; i < 3;i++){
        for(int j = i;j < 3;j++){
            for(int k = 0;k < 18;k++)
            {
                if(broj[i][k] == broj[j][k]){
                    if(broj[i][k] == 0)
                        break;
                    continue;
                }
                if(broj[i][k] < broj[j][k] || broj[i][k] == 0){
                    strcpy(temp,broj[i]);
                    strcpy(broj[i],broj[j]);
                    strcpy(broj[j],temp);
                }
                break;
            }
        }
    }

    for(int i = 0;i < 3;i++)
        printf("%s",broj[i]);

    return 0;
}